#ifndef COMMON_SERIALIZE
#define COMMON_SERIALIZE

#include <QString>

#include <boost/serialization/nvp.hpp>
#include <boost/serialization/split_free.hpp>
#include <boost/serialization/type_info_implementation.hpp>
#include <boost/serialization/extended_type_info_no_rtti.hpp>
#include <boost/serialization/extended_type_info_typeid.hpp>

#include <boost/serialization/vector.hpp>
#include <boost/serialization/list.hpp>

#include <boost/archive/xml_oarchive.hpp>
#include <boost/archive/xml_iarchive.hpp>

namespace boost {
namespace serialization {

template<class Archive>
void save(Archive & ar, const QString & str, const unsigned int version)
{
	std::string std_str =  str.toStdString();
	 
	ar & make_nvp("QString", std_str);
}

template<class Archive>
void load(Archive & ar, QString & str, const unsigned int version)
{
	std::string std_str;
	
	ar & make_nvp("QString", std_str);
	str = std_str.c_str();
}

}
}

BOOST_CLASS_TYPE_INFO(QString, extended_type_info_typeid<QString>)

BOOST_SERIALIZATION_SPLIT_FREE(QString)

#endif
