#ifndef MOBJECT_SERIALIZATION
#define MOBJECT_SERIALIZATION

#include <MObject.h>

// Here in CommonSerialize are the needed archive headers

#include <CommonSerialize.h>

#include <boost/serialization/export.hpp>

BOOST_SERIALIZATION_SPLIT_FREE(MObject)

namespace boost {
namespace serialization {

template<class Archive>
void save(Archive & ar, const MObject & m, const unsigned int version);

template<class Archive>
void load(Archive & ar, MObject & m, const unsigned int version);

}
}

BOOST_CLASS_TYPE_INFO(MObject, extended_type_info_no_rtti<MObject>)

// Putting BOOST_CLASS_EXPORT here will  result in multiple definitions with gcc 3.4.2

BOOST_CLASS_EXPORT(MObject)

#endif

